- Qt 5.0
- Qt 5.0.0 Reference Documentation

# SortOrder QML Type

The SortOrder element defines how a list of organizer item should be ordered according to some criteria. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- blankPolicy : enumeration
- caseSensitivity : enumeration
- detail : string
- direction : enumeration
- field : string

## Signals

- onSortOrderChanged()

## Detailed Description

## Property Documentation

blankPolicy : enumeration

This property enumerates the ways in which the sort order interprets blanks when sorting organizer.

- SortOrder.BlanksFirst Considers blank values to evaluate to less than all other values in comparisons.
- SortOrder.BlanksLast Considers blank values to evaluate to greater than all other values in comparisons.

caseSensitivity : enumeration

This property holds the case sensitivity of the sort order, the value can be one of:

- Qt.CaseInsensitive Sets the case sensitivity of the sort order to insensitivity.
- Qt.CaseSensitive Sets the case sensitivity of the sort order to sensitivity (default).

detail : string

This property holds the detail type of which the sorting will be performed to. The value should be the enumeration value of Detail::type.

direction : enumeration

This property holds the direction of the sort order, the value can be one of:

- Qt.AscendingOrder The items will be sorted by the ascending order (default).
- Qt.DescendingOrder The items will be sorted by the descending order.

field : string

This property holds the detail field type of which the sorting will be performed to. The value should be the filld enumeration value defined in each detail element.

See also EventTime, JournalTime, TodoTime, TodoProgress, Reminder, AudibleReminder, VisualReminder, EmailReminder, Comment, Description, DisplayLabel, Guid, Location, Parent, Priority, Recurrence, Timestamp, ItemType, and Tag.

## Signal Documentation

onSortOrderChanged()

This signal is emitted, when any of the SortOrder's properties have been changed.

Note: The corresponding handler is `onOnSortOrderChanged`.